using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GetADoc
{
    //テンポラリフォルダの作成/削除
    class TemporaryFolder
    {
        //テンポラリフォルダの作成
        public static string MakeTempFolder()
        {
            var TempFile = Path.GetTempFileName();
            if (File.Exists(TempFile))
            {
                File.Delete(TempFile);
                Directory.CreateDirectory(TempFile);
            }
            return TempFile;
        }

        //テンポラリフォルダの削除
        public static void DeleteTempFolder(string TempFolderPath)
        {
            if (Directory.Exists(TempFolderPath))
            {
                Directory.Delete(TempFolderPath);
            }
        }
    }
}
